clc
clear all

noOfIter=[];
your_data = [];
Time = [];

%imports Euler angles after free decay from OpenFOAM log-file, later used for
%FaltinsenFit 
fid = fopen('log10bk0.txt','rt');

initial=10; %initial roll angle

while feof(fid) == 0
  thisline = fgetl(fid);
  thisline2=strtrim(thisline );
  if strfind(thisline2,'Time')~=0
      Str = erase(thisline2,'Time =');
      Time = [Time;str2num(Str)] ; 
      
      
   
  end
  
  if strfind(thisline2,'PIMPLE:')~=0
      Str1 = erase(thisline2,'PIMPLE: iteration');
      noOfIter = [noOfIter;str2num(Str1)] ; 
      
      
   
  end
  if strfind(thisline2,'Orientation:')~=0
         
          newStr = erase(thisline2,'Orientation:');
          newStr1 = erase(newStr,'(');
          newStr2 = erase(newStr1,')');
          your_data = [your_data; str2num(newStr2)];
          
      end
  end
  fclose(fid);
  
  time_l=length(Time);
  roll_ang=zeros(1,time_l);
  c=1;
  for i=1:length(noOfIter)
      
     if noOfIter(i)==1 && i~=1
         roll_ang(c)=-initial+180/pi*asin(your_data(i-1,2));
        
         c=c+1;
         
     end
      
  end
[PKS,LOCS] = findpeaks(roll_ang);


  figure (1)
plot(Time,roll_ang)
legend ('Roll angle' )
xlabel ('Time, [s]')
ylabel('$\theta ^\circ$',  'interpreter','latex')
ylim([-10 10])
grid on

  figure (2)
plot(Time,abs(roll_ang))
legend ('Roll angle' )
xlabel ('Time, [s]')
ylabel('$\theta ^\circ$',  'interpreter','latex')
grid on
  