  [pks,loc]   = findpeaks(roll_ang);    % same function in wafo, be careful
    
 % must first run the script importEuler to establish needed data
  
    loct(1:2:2*length(loc)-1) = loc;   
    pkst(1:2:2*length(loc)-1) = pks;       
    % Find pos of trough values 
    
    [pks,loc]   = findpeaks(-roll_ang);
    
    loct(2:2:2*length(loc)) = loc;   
    pkst(2:2:2*length(loc)) =-pks; 
    
    initial_angle=7.5;%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
    
    
     % Find linear and nonlinear damping coefficient 
    t = Time(loct);
    r = zeros(1,length(pkst)+1);
    for i =2:length(r)
    
    r(i)=pkst(i-1);
    
    end
    r(1)=initial_angle;  %%%%% iniital roll amplitude
    
    for i=1:length(t)-2
        TT(i)=t(i+2)-t(i);
    end
    
%     plot(Time,roll_ang)
%     hold on
%     
%     plot(Time(loct),pkst,'k^')
%     hold on
    Tm=mean(TT);
    
     r2=abs(r) ; 
     
     
 end_val=length(t)-10;%subtract number of cycles at the end with this value
     
     yy=zeros(1,end_val);
     xx=zeros(1,end_val);
    for i=2:end_val+1
        yy(i-1)=2/Tm*log(r2(i-1)/r2(i+1));
        xx(i-1)=16*r2(i)/(3*Tm);
    end   
    
    P=polyfit(xx(1:end_val),yy(1:end_val),1); P1=P(2); P2=P(1);
    output=polyval(P,xx(1:end_val)); %solving eq on p.252 in SeaLoads
    
    
 fig = figure(2);
 plot(xx(1:end_val),yy(1:end_val),'bo',xx(1:end_val),output(1:end_val))
 title(['$p_1 =',num2str(P1,'%7.4f'),'$','  $p_2 =',num2str(P2,'%7.4f'),...
     '$'],'Interpreter','latex','Color','k')
xlabel('$\frac{16 \theta_n}{3 T_m}$','Interpreter','latex','Fontname',...
    'Times','fontsize',18);
ylabel('$\frac{2}{T_m}log\frac{\theta_{n-1}}{\theta_{n+1}}$',...
    'Interpreter','latex','Fontname','Times','fontsize',18) 
ylim([-0.1 1])
   xlim([0 15])