clear all
clc

%set up time, pressure and viscous moments in arrays with the momimp.m function

[T1, Mp1, Mv1]=momimp('filename.dat');
momtot1=(Mp1+Mv1)*10; %total moment, pressure and viscous. NOTE! x10 for [Nm/m]

[T2, Mp2, Mv2]=momimp('filename.dat');
momtot2=(Mp2+Mv2)*10; %total moment, pressure and viscous. NOTE! x10 for [Nm/m]

[T3, Mp3, Mv3]=momimp('filename.dat');
momtot3=(Mp3+Mv3)*10; %total moment, pressure and viscous. NOTE! x10 for [Nm/m]
 
[T4, Mp4, Mv4]=momimp('filename.dat');
momtot4=(Mp4+Mv4)*10; %total moment, pressure and viscous. NOTE! x10 for [Nm/m]


figure (1)
plot (T1, momtot1,T2, momtot2, T3, momtot3, T4, momtot4); %, TGiu, momtotGiu
legend ( 'BK0', 'BK0', 'BK4', 'BK4')
xlabel ('Time, [s]')
ylabel('Moment, [N]')
ylim ([-35 35]);
grid on

